---
data-version:
  version-major		: 3
  version-minor		: 0
  date-year		: 2024
  date-month		: 10
  date-day		: 18

sensor-read-only-regs:
# general status registers
  - mipi_ccs_version			v1_1
#  - data_pedestal			0x0040
# analogue gain registers
#  - analog_gain_code_min		0x0080
#  - analog_gain_code_max		0x4832
#  - analog_gain_code_step		0x0002
# integration time registers
#  - integration_time_capability		0x0001
#  - coarse_integration_time_min		0x0008
#  - coarse_integration_time_max_margin	0x000a
#  - fine_integration_time_min		0x0008
#  - fine_integration_time_max_margin	0x000a
#  - lane_seed_value(2, 7)		0x1234
#  - lane_seed_value(1, 3)		0x5678
#  - csi_cphy_lane_mode_capability	2_lane | 4_lane | 6_lane | 8_lane
#  - max_per_lane_bitrate_lane_d_mode_mbps(2)	0xcafecafe
#  - max_per_lane_bitrate_lane_d_mode_mbps(3)	0x12341235
#  - max_per_lane_bitrate_lane_d_mode_mbps(4)	0x1ea1ea00
#  - temp_sensor_capability		supported | ccs_format
#  - dphy_calibration_capability		manual | alternate_seq
#  - frame_format_model_type		2-byte
#  - frame_format_descriptor(0).pixels	1024
#  - frame_format_descriptor(0).pcode	visible_pixel
#  - frame_format_descriptor(7).pixels	128
#  - frame_format_descriptor(7).pcode	dummy_pixel
#  - timing_mode_capability		auto_frame_length | rolling_shutter_manual_readout | delayed_exposure_start
  - clock_tree_pll_capability           5
  - phy_ctrl_capability			auto_phy_ctl | ui_phy_ctl
  - clock_calculation			1
  - min_line_length_pck			19000 # experimentally found
  - min_frame_length_lines		0xdf8

sensor-manufacturer-regs:
  - 0x3c7e              0x01
  - 0x3c7f              0x07
  - 0x3020              0x00
  - 0x3e35              0x01
  - 0x3f7f              0x01
  - 0x5609              0x57
  - 0x5613              0x51
  - 0x561f              0x5e
  - 0x5623              0xd2
  - 0x5637              0x11
  - 0x5657              0x11
  - 0x5659              0x12
  - 0x5733              0x60
  - 0x5905              0x57
  - 0x590f              0x51
  - 0x591b              0x5e
  - 0x591f              0xd2
  - 0x5933              0x11
  - 0x5953              0x11
  - 0x5955              0x12
  - 0x5a2f              0x60
  - 0x5a85              0x57
  - 0x5a8f              0x51
  - 0x5a9b              0x5e
  - 0x5a9f              0xd2
  - 0x5ab3              0x11
  - 0x5ad3              0x11
  - 0x5ad5              0x12
  - 0x5baf              0x60
  - 0x5c15              0x2a
  - 0x5c17              0x80
  - 0x5c19              0x31
  - 0x5c1b              0x87
  - 0x5c25              0x25
  - 0x5c27              0x7b
  - 0x5c29              0x2a
  - 0x5c2b              0x80
  - 0x5c2d              0x31
  - 0x5c2f              0x87
  - 0x5c35              0x2b
  - 0x5c37              0x81
  - 0x5c39              0x31
  - 0x5c3b              0x87
  - 0x5c45              0x25
  - 0x5c47              0x7b
  - 0x5c49              0x2a
  - 0x5c4b              0x80
  - 0x5c4d              0x31
  - 0x5c4f              0x87
  - 0x5c55              0x2d
  - 0x5c57              0x83
  - 0x5c59              0x32
  - 0x5c5b              0x88
  - 0x5c65              0x29
  - 0x5c67              0x7f
  - 0x5c69              0x2e
  - 0x5c6b              0x84
  - 0x5c6d              0x32
  - 0x5c6f              0x88
  - 0x5e69              0x04
  - 0x5e9d              0x00
  - 0x5f18              0x10
  - 0x5f1a              0x0e
  - 0x5f20              0x12
  - 0x5f22              0x10
  - 0x5f24              0x0e
  - 0x5f28              0x10
  - 0x5f2a              0x0e
  - 0x5f30              0x12
  - 0x5f32              0x10
  - 0x5f34              0x0e
  - 0x5f38              0x0f
  - 0x5f39              0x0d
  - 0x5f3c              0x11
  - 0x5f3d              0x0f
  - 0x5f3e              0x0d
  - 0x5f61              0x07
  - 0x5f64              0x05
  - 0x5f67              0x03
  - 0x5f6a              0x03
  - 0x5f6d              0x07
  - 0x5f70              0x07
  - 0x5f73              0x05
  - 0x5f76              0x02
  - 0x5f79              0x07
  - 0x5f7c              0x07
  - 0x5f7f              0x07
  - 0x5f82              0x07
  - 0x5f85              0x03
  - 0x5f88              0x02
  - 0x5f8b              0x01
  - 0x5f8e              0x01
  - 0x5f91              0x04
  - 0x5f94              0x05
  - 0x5f97              0x02
  - 0x5f9d              0x07
  - 0x5fa0              0x07
  - 0x5fa3              0x07
  - 0x5fa6              0x07
  - 0x5fa9              0x03
  - 0x5fac              0x01
  - 0x5faf              0x01
  - 0x5fb5              0x03
  - 0x5fb8              0x02
  - 0x5fbb              0x01
  - 0x5fc1              0x07
  - 0x5fc4              0x07
  - 0x5fc7              0x07
  - 0x5fd1              0x00
  - 0x6302              0x79
  - 0x6305              0x78
  - 0x6306              0xa5
  - 0x6308              0x03
  - 0x6309              0x20
  - 0x630b              0x0a
  - 0x630d              0x48
  - 0x630f              0x06
  - 0x6311              0xa4
  - 0x6313              0x03
  - 0x6314              0x20
  - 0x6316              0x0a
  - 0x6317              0x31
  - 0x6318              0x4a
  - 0x631a              0x06
  - 0x631b              0x40
  - 0x631c              0xa4
  - 0x631e              0x03
  - 0x631f              0x20
  - 0x6321              0x0a
  - 0x6323              0x4a
  - 0x6328              0x80
  - 0x6329              0x01
  - 0x632a              0x30
  - 0x632b              0x02
  - 0x632c              0x20
  - 0x632d              0x02
  - 0x632e              0x30
  - 0x6330              0x60
  - 0x6332              0x90
  - 0x6333              0x01
  - 0x6334              0x30
  - 0x6335              0x02
  - 0x6336              0x20
  - 0x6338              0x80
  - 0x633a              0xa0
  - 0x633b              0x01
  - 0x633c              0x60
  - 0x633d              0x02
  - 0x633e              0x60
  - 0x633f              0x01
  - 0x6340              0x30
  - 0x6341              0x02
  - 0x6342              0x20
  - 0x6343              0x03
  - 0x6344              0x80
  - 0x6345              0x03
  - 0x6346              0x90
  - 0x6348              0xf0
  - 0x6349              0x01
  - 0x634a              0x20
  - 0x634b              0x02
  - 0x634c              0x10
  - 0x634d              0x03
  - 0x634e              0x60
  - 0x6350              0xa0
  - 0x6351              0x01
  - 0x6352              0x60
  - 0x6353              0x02
  - 0x6354              0x50
  - 0x6355              0x02
  - 0x6356              0x60
  - 0x6357              0x01
  - 0x6358              0x30
  - 0x6359              0x02
  - 0x635a              0x30
  - 0x635b              0x03
  - 0x635c              0x90
  - 0x635f              0x01
  - 0x6360              0x10
  - 0x6361              0x01
  - 0x6362              0x40
  - 0x6363              0x02
  - 0x6364              0x50
  - 0x6368              0x70
  - 0x636a              0xa0
  - 0x636b              0x01
  - 0x636c              0x50
  - 0x637d              0xe4
  - 0x637e              0xb4
  - 0x638c              0x8e
  - 0x638d              0x38
  - 0x638e              0xe3
  - 0x638f              0x4c
  - 0x6390              0x30
  - 0x6391              0xc3
  - 0x6392              0xae
  - 0x6393              0xba
  - 0x6394              0xeb
  - 0x6395              0x6e
  - 0x6396              0x34
  - 0x6397              0xe3
  - 0x6398              0xcf
  - 0x6399              0x3c
  - 0x639a              0xf3
  - 0x639b              0x0c
  - 0x639c              0x30
  - 0x639d              0xc1
  - 0x63b9              0xa3
  - 0x63ba              0xfe
  - 0x7600              0x01
  - 0x79a0              0x01
  - 0x79a1              0x01
  - 0x79a2              0x01
  - 0x79a3              0x01
  - 0x79a4              0x01
  - 0x79a5              0x20
  - 0x79a9              0x00
  - 0x79aa              0x01
  - 0x79ad              0x00
  - 0x79af              0x00
  - 0x8173              0x01
  - 0x835c              0x01
  - 0x8a74              0x01
  - 0x8c1f              0x00
  - 0x8c27              0x00
  - 0x8c3b              0x03
  - 0x9004              0x0b
  - 0x920c              0x6a
  - 0x920d              0x22
  - 0x920e              0x6a
  - 0x920f              0x23
  - 0x9214              0x6a
  - 0x9215              0x20
  - 0x9216              0x6a
  - 0x9217              0x21
  - 0x9385              0x3e
  - 0x9387              0x1b
  - 0x938d              0x4d
  - 0x938f              0x43
  - 0x9391              0x1b
  - 0x9395              0x4d
  - 0x9397              0x43
  - 0x9399              0x1b
  - 0x939d              0x3e
  - 0x939f              0x2f
  - 0x93a5              0x43
  - 0x93a7              0x2f
  - 0x93a9              0x2f
  - 0x93ad              0x34
  - 0x93af              0x2f
  - 0x93b5              0x3e
  - 0x93b7              0x2f
  - 0x93bd              0x4d
  - 0x93bf              0x43
  - 0x93c1              0x2f
  - 0x93c5              0x4d
  - 0x93c7              0x43
  - 0x93c9              0x2f
  - 0x974b              0x02
  - 0x995c              0x8c
  - 0x995d              0x00
  - 0x995e              0x00
  - 0x9963              0x64
  - 0x9964              0x50
  - 0xaa0a              0x26
  - 0xae03              0x04
  - 0xae04              0x03
  - 0xae05              0x03
  - 0xbc1c              0x08
  - 0xbcf1              0x02
# Possibly depends on configuration
  - 0x3f4c              0x01
  - 0x3f4d              0x01
  - 0x4254              0x7f
  - 0x3e20              0x01
  - 0x3e37              0x00
  - 0x3e3b              0x00
  - 0x3230              0x00
  - 0x3f14              0x01
  - 0x3f3c              0x01
  - 0x3f0d              0x0a
  - 0x3fbc              0x00
  - 0x3c06              0x00
  - 0x3c07              0x48
  - 0x3c0a              0x00
  - 0x3c0b              0x00
  - 0x3f78              0x00
  - 0x3f79              0x40
  - 0x3f7c              0x00
  - 0x3f7d              0x00

#license:
#  filename				: bsd-3-clause

end:
